View Issue Details

IDProjectCategoryView StatusLast Update
0002933FreeCADBugpublic2017-03-27 17:18
Reporterblacey Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformAppleOSmacOSOS Version10.12
Product Version0.17 
Target Version0.17Fixed in Version0.17 
Summary0002933: Blue drawing hints not scaled properly in Qt 5
DescriptionWhen drawing an arc using 0.17 Qt 5 on a HiDPI monitor, the radius display is illegible because it is too small to read.
Steps To ReproduceOpen Part Design workbench
Create Body
Create Sketch
Drawn an arc and try to read the radius text in blue at the cursor location
Additional InformationSee attached annotated screenshot
TagsHiDPI, MacOSX, Qt5
FreeCAD Information

Activities

blacey

2017-02-28 22:49

developer  

Qt5FontScalingIssue.jpg (Attachment missing)

wmayer

2017-03-07 12:15

administrator   ~0008559

Can you check if commit 288239c4 fixes the issue? Before the font size was hard-coded to 10 and now it uses the parameter 'EditSketcherFontSize' which by default is set to 17. So, even if the default is still too small you can now create a key of type integer under BaseApp/Preferences/View and set a user-defined value.

Kunda1

2017-03-07 12:36

administrator   ~0008560

linked FreeCAD master 288239c4

blacey

2017-03-07 16:35

developer   ~0008565

Yes, that commit works-around the lack of HiDPI font scaling in OpenInventor by letting the user set the font to a larger size.

Kunda1

2017-03-27 17:18

administrator   ~0008717

Fixed by triplus's commit. Thanks!

Related Changesets

FreeCAD: master 288239c4

2017-03-03 18:27:10

triplus


Committer: GitHub Details Diff
Configurable coordinate info font size in Sketcher

Useful on HiDPI displays and occasionally requested feature on the forum.
Affected Issues
0002933
mod - src/Mod/Sketcher/Gui/ViewProviderSketch.cpp Diff File

Issue History

Date Modified Username Field Change
2017-02-28 22:49 blacey New Issue
2017-02-28 22:49 blacey File Added: Qt5FontScalingIssue.jpg
2017-02-28 22:51 blacey Tag Attached: MacOSX
2017-02-28 22:51 blacey Tag Attached: Qt5
2017-03-07 12:12 wmayer Changeset attached => FreeCAD master 288239c4
2017-03-07 12:15 wmayer Note Added: 0008559
2017-03-07 12:35 Kunda1 Tag Attached: HiDPI
2017-03-07 12:36 Kunda1 Note Added: 0008560
2017-03-07 16:35 blacey Note Added: 0008565
2017-03-27 17:18 Kunda1 Status new => closed
2017-03-27 17:18 Kunda1 Resolution open => fixed
2017-03-27 17:18 Kunda1 Fixed in Version => 0.17
2017-03-27 17:18 Kunda1 Note Added: 0008717